---
title: "Query subscription contract details"
description: "query a subscription contract"
doc_type: openapi
doc_category: openapi
doc_version: v20270301
source_url:
  html: 'https://developer.shopline.com/docs/admin-rest-api/order/subscription-order/query-subscription-contract-details'
  md: 'https://developer.shopline.com/docs/admin-rest-api/order/subscription-order/query-subscription-contract-details.md'
---
# Query subscription contract details

query a subscription contract

- **Base URL:** `https://{handle}.myshopline.com/admin/openapi`
- **Required Scopes:** `read_subscription_contracts`
- **API Version:** v20270301
- **API Type:** Admin
- **API Protocol:** RESTful

## Endpoint

```http
GET /subscription/:id/contract.json
```

## Base URL

* `https://{handle}.myshopline.com/admin/openapi`

  * `{handle}`: `handle` : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is `open001.myshopline.com` , the store handle is `open001` .

## Required Permissions

* `read_subscription_contracts`

## Request

### Path Parameters

* `id`

  string (required)

  Contract single number

### Request Headers

* `Content-Type`

  string (required)

  The field must be set to the fixed value `application/json; charset=utf-8`.

* `Authorization`

  string (required)

   The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. 

## Response

### Status Codes

* `200`

  For the complete list of codes and messages, see [Http status code](https://developer.shopline.com/docs/apps/api-instructions-for-use/http-status-code.md?lang=en).

* `401`

  

* `429`

  

### Response Headers

* `traceId`

  A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.

### Response Body

#### 200

* `subscription_contract`

  object

  Subscription contract information details

  * `customer`

    object

    User information

    * `id`

      string

      User id , buyerId

    * `nick_name`

      string

      User nickname

    * `phone`

      string

      User phone

    * `shipping_address`

      object

      Shipping address

      * `province_code`

        string

        Consignee province code

      * `phone`

        string

        Consignee contact

      * `province`

        string

        Consignee province

      * `city`

        string

        Consignee city

      * `city_code`

        string

        Consignee city code

      * `first_name`

        string

        Consignee name

      * `country_code`

        string

        Country or region , please refer to the country code specification biography , https : //aurogon-portal.yy.com/document/interface/478

      * `district`

        string

        Consignee zone

      * `zip`

        string

        Postal code

      * `country`

        string

        Country or region

      * `last_name`

        string

        Consignee last name

      * `district_code`

        string

        Consignee zone code

      * `address2`

        string

        Consignee additional to the detailed address

      * `company`

        string

        Company name

      * `address1`

        string

        Consignee detailed address

    * `email`

      string

      User mail

  * `created_at`

    string

    Created time , 2019-09-07T15 : 50 : 00 z

  * `updated_at`

    string

    Update time , 2019-09-07T15 : 50 : 00 z

  * `delivery_info`

    object

    Shipping information

    * `delivery_name`

      string

      Scheme name

    * `delivery_seq`

      string

      The seq for the shipping program

  * `billing_policy`

    object

    Billing policy for the subscription agreement

    * `max_cycles`

      integer

      Largest subscription cycle

    * `min_cycles`

      integer

      Minimum subscription cycle

    * `interval`

      string

      Interval units , ( day , MONTH , weed , year )

    * `interval_count`

      integer

      Interval value

  * `origin_order`

    object

    Original order information

    * `id`

      string

      Order number

  * `customer_payment_method`

    object

    payment method

    * `instrument_seq`

      string

      Payment tool id

    * `method_code`

      string

      Payment method encoding

    * `store_payment_id`

      string

      Payment method id

    * `channel_code`

      string

      Payment channel encoding

    * `instrument_detail`

      object

      Payment tool details

      * `card`

        object

        Card number information

      * `type`

        string

        Type card / account. card : carnegie ; account : account base

      * `account`

        object

        Account information

  * `id`

    string

    Contract single number

  * `last_payment_status`

    string

    Last payment status

  * `next_billing_date`

    string

    Next bill date

  * `currency_code`

    string

    Store currency

  * `periods`

    integer

    Duration of current contract execution

  * `status`

    string

    Subscription contract status

  * `line_items`

    array<object>

    Associated Product

    * `amount_set`

      object

      Product amount , multi-currency format

      * `presentment_money`

        object

        presentment money

      * `shop_money`

        object

        shop money

    * `variant_id`

      string

      Product SKU serial number

    * `group_id`

      string

      Item group id

    * `quantity`

      integer

      Product quantity

    * `version`

      string

      Product version

    * `amount`

      string

      Product amount ( two precision string , like " 88.10 " )

    * `product_source`

      string

      Product source main_site main station product、customize custom product

    * `sku`

      string

      Item no .

    * `title`

      string

      Product title

    * `attributes`

      array<object>

      Product attributes : name , attribute value

      * `key`

        string

        Attributes key or name

      * `value`

        string

        Attribute value

    * `image_url`

      string

      Product main image

    * `pricing_policy`

      array<object>

      Subscription cycle discount

      * `cycle_discounts`

        array<object>

        Adjust per cycle of the subscribe to the line

    * `variant_attribute`

      string

      Product attributes

  * `app`

    object

    Subscription plug-in information

    * `app_key`

      string

      Key for app insert


#### 401

* `errors`

  string

  Error message. 


#### 429

* `errors`

  string

  Error message. 


## OpenAPI Definition

```json
{
  "description": "query a subscription contract",
  "externalDocs": {
    "description": "Permission point used by the interface is `read_subscription_contracts` , For more information about the use of permission points, see",
    "url": "ec20/3cv5d7wpfgr6a8z5/xabczf5442284vkq?lang=en",
    "errorTableDescription": ""
  },
  "operationId": "1nVWp7Ha",
  "parameters": [
    {
      "name": "id",
      "in": "path",
      "description": "Contract single number",
      "required": true,
      "style": "simple",
      "schema": {
        "name": "id",
        "description": "Contract single number",
        "type": "string",
        "example": ""
      },
      "example": ""
    },
    {
      "name": "Content-Type",
      "in": "header",
      "description": "The field must be set to the fixed value `application/json; charset=utf-8`.",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Content-Type",
        "type": "string",
        "example": "application/json; charset=utf-8"
      }
    },
    {
      "name": "Authorization",
      "in": "header",
      "description": " The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. ",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Authorization",
        "description": " The access token for the API. Please refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then put the obtained access token into the API request header in Bearer Token.",
        "type": "string",
        "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
      },
      "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
    }
  ],
  "responses": {
    "200": {
      "description": "For the complete list of codes and messages, see [Http status code](https://developer.shopline.com/docs/apps/api-instructions-for-use/http-status-code.md?lang=en).",
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "subscription_contract": {
                "name": "subscription_contract",
                "description": "Subscription contract information details",
                "type": "object",
                "properties": {
                  "customer": {
                    "name": "customer",
                    "description": "User information",
                    "type": "object",
                    "properties": {
                      "id": {
                        "name": "id",
                        "description": "User id , buyerId",
                        "type": "string",
                        "example": ""
                      },
                      "nick_name": {
                        "name": "nick_name",
                        "description": "User nickname",
                        "type": "string",
                        "example": ""
                      },
                      "phone": {
                        "name": "phone",
                        "description": "User phone",
                        "type": "string",
                        "example": ""
                      },
                      "shipping_address": {
                        "name": "shipping_address",
                        "description": "Shipping address",
                        "type": "object",
                        "properties": {
                          "province_code": {
                            "name": "province_code",
                            "description": "Consignee province code",
                            "type": "string",
                            "example": ""
                          },
                          "phone": {
                            "name": "phone",
                            "description": "Consignee contact",
                            "type": "string",
                            "example": ""
                          },
                          "province": {
                            "name": "province",
                            "description": "Consignee province",
                            "type": "string",
                            "example": ""
                          },
                          "city": {
                            "name": "city",
                            "description": "Consignee city",
                            "type": "string",
                            "example": ""
                          },
                          "city_code": {
                            "name": "city_code",
                            "description": "Consignee city code",
                            "type": "string",
                            "example": ""
                          },
                          "first_name": {
                            "name": "first_name",
                            "description": "Consignee name",
                            "type": "string",
                            "example": ""
                          },
                          "country_code": {
                            "name": "country_code",
                            "description": "Country or region , please refer to the country code specification biography , https : //aurogon-portal.yy.com/document/interface/478",
                            "type": "string",
                            "example": ""
                          },
                          "district": {
                            "name": "district",
                            "description": "Consignee zone",
                            "type": "string",
                            "example": ""
                          },
                          "zip": {
                            "name": "zip",
                            "description": "Postal code",
                            "type": "string",
                            "example": ""
                          },
                          "country": {
                            "name": "country",
                            "description": "Country or region",
                            "type": "string",
                            "example": ""
                          },
                          "last_name": {
                            "name": "last_name",
                            "description": "Consignee last name",
                            "type": "string",
                            "example": ""
                          },
                          "district_code": {
                            "name": "district_code",
                            "description": "Consignee zone code",
                            "type": "string",
                            "example": ""
                          },
                          "address2": {
                            "name": "address2",
                            "description": "Consignee additional to the detailed address",
                            "type": "string",
                            "example": ""
                          },
                          "company": {
                            "name": "company",
                            "description": "Company name",
                            "type": "string",
                            "example": ""
                          },
                          "address1": {
                            "name": "address1",
                            "description": "Consignee detailed address",
                            "type": "string",
                            "example": ""
                          }
                        },
                        "example": {
                          "country_code": "",
                          "address2": "",
                          "last_name": "",
                          "district": "",
                          "phone": "",
                          "address1": "",
                          "country": "",
                          "province": "",
                          "province_code": "",
                          "district_code": "",
                          "first_name": "",
                          "company": "",
                          "zip": "",
                          "city": "",
                          "city_code": ""
                        }
                      },
                      "email": {
                        "name": "email",
                        "description": "User mail",
                        "type": "string",
                        "example": ""
                      }
                    },
                    "example": {
                      "phone": "",
                      "shipping_address": {
                        "province_code": "",
                        "city_code": "",
                        "address1": "",
                        "zip": "",
                        "country": "",
                        "company": "",
                        "first_name": "",
                        "city": "",
                        "district_code": "",
                        "country_code": "",
                        "district": "",
                        "last_name": "",
                        "province": "",
                        "address2": "",
                        "phone": ""
                      },
                      "email": "",
                      "id": "",
                      "nick_name": ""
                    }
                  },
                  "created_at": {
                    "name": "created_at",
                    "description": "Created time , 2019-09-07T15 : 50 : 00 z",
                    "type": "string",
                    "example": ""
                  },
                  "updated_at": {
                    "name": "updated_at",
                    "description": "Update time , 2019-09-07T15 : 50 : 00 z",
                    "type": "string",
                    "example": ""
                  },
                  "delivery_info": {
                    "name": "delivery_info",
                    "description": "Shipping information",
                    "type": "object",
                    "properties": {
                      "delivery_name": {
                        "name": "delivery_name",
                        "description": "Scheme name",
                        "type": "string",
                        "example": ""
                      },
                      "delivery_seq": {
                        "name": "delivery_seq",
                        "description": "The seq for the shipping program",
                        "type": "string",
                        "example": ""
                      }
                    },
                    "example": {
                      "delivery_name": "",
                      "delivery_seq": ""
                    }
                  },
                  "billing_policy": {
                    "name": "billing_policy",
                    "description": "Billing policy for the subscription agreement",
                    "type": "object",
                    "properties": {
                      "max_cycles": {
                        "name": "max_cycles",
                        "description": "Largest subscription cycle",
                        "type": "integer",
                        "example": 0
                      },
                      "min_cycles": {
                        "name": "min_cycles",
                        "description": "Minimum subscription cycle",
                        "type": "integer",
                        "example": 0
                      },
                      "interval": {
                        "name": "interval",
                        "description": "Interval units , ( day , MONTH , weed , year )",
                        "type": "string",
                        "example": ""
                      },
                      "interval_count": {
                        "name": "interval_count",
                        "description": "Interval value",
                        "type": "integer",
                        "example": 0
                      }
                    },
                    "example": {
                      "interval_count": 0,
                      "max_cycles": 0,
                      "min_cycles": 0,
                      "interval": ""
                    }
                  },
                  "origin_order": {
                    "name": "origin_order",
                    "description": "Original order information",
                    "type": "object",
                    "properties": {
                      "id": {
                        "name": "id",
                        "description": "Order number",
                        "type": "string",
                        "example": ""
                      }
                    },
                    "example": {
                      "id": ""
                    }
                  },
                  "customer_payment_method": {
                    "name": "customer_payment_method",
                    "description": "payment method",
                    "type": "object",
                    "properties": {
                      "instrument_seq": {
                        "name": "instrument_seq",
                        "description": "Payment tool id",
                        "type": "string",
                        "example": ""
                      },
                      "method_code": {
                        "name": "method_code",
                        "description": "Payment method encoding",
                        "type": "string",
                        "example": ""
                      },
                      "store_payment_id": {
                        "name": "store_payment_id",
                        "description": "Payment method id",
                        "type": "string",
                        "example": ""
                      },
                      "channel_code": {
                        "name": "channel_code",
                        "description": "Payment channel encoding",
                        "type": "string",
                        "example": ""
                      },
                      "instrument_detail": {
                        "name": "instrument_detail",
                        "description": "Payment tool details",
                        "type": "object",
                        "properties": {
                          "card": {
                            "name": "card",
                            "description": "Card number information",
                            "type": "object",
                            "properties": {
                              "brand": {
                                "name": "brand",
                                "description": "Card brand",
                                "type": "string",
                                "example": ""
                              },
                              "brand_icon": {
                                "name": "brand_icon",
                                "description": "Card icon",
                                "type": "string",
                                "example": ""
                              },
                              "expire_month": {
                                "name": "expire_month",
                                "description": "Expiration date : month",
                                "type": "string",
                                "example": ""
                              },
                              "expire_year": {
                                "name": "expire_year",
                                "description": "Expiration date : year",
                                "type": "string",
                                "example": ""
                              },
                              "first": {
                                "name": "first",
                                "description": "Card number front display bit",
                                "type": "string",
                                "example": ""
                              },
                              "holder": {
                                "name": "holder",
                                "description": "Card holder name",
                                "type": "string",
                                "example": ""
                              },
                              "last": {
                                "name": "last",
                                "description": "Card number rear display bit",
                                "type": "string",
                                "example": ""
                              }
                            },
                            "example": {
                              "holder": "",
                              "last": "",
                              "brand": "",
                              "brand_icon": "",
                              "expire_month": "",
                              "expire_year": "",
                              "first": ""
                            }
                          },
                          "type": {
                            "name": "type",
                            "description": "Type card / account. card : carnegie ; account : account base",
                            "type": "string",
                            "example": ""
                          },
                          "account": {
                            "name": "account",
                            "description": "Account information",
                            "type": "object",
                            "properties": {
                              "name": {
                                "name": "name",
                                "description": "Account name ",
                                "type": "string",
                                "example": ""
                              }
                            },
                            "example": {
                              "name": ""
                            }
                          }
                        },
                        "example": {
                          "account": {
                            "name": ""
                          },
                          "card": {
                            "expire_year": "",
                            "first": "",
                            "holder": "",
                            "last": "",
                            "brand": "",
                            "brand_icon": "",
                            "expire_month": ""
                          },
                          "type": ""
                        }
                      }
                    },
                    "example": {
                      "method_code": "",
                      "store_payment_id": "",
                      "channel_code": "",
                      "instrument_detail": {
                        "type": "",
                        "account": {
                          "name": ""
                        },
                        "card": {
                          "brand_icon": "",
                          "expire_month": "",
                          "expire_year": "",
                          "first": "",
                          "holder": "",
                          "last": "",
                          "brand": ""
                        }
                      },
                      "instrument_seq": ""
                    }
                  },
                  "id": {
                    "name": "id",
                    "description": "Contract single number",
                    "type": "string",
                    "example": ""
                  },
                  "last_payment_status": {
                    "name": "last_payment_status",
                    "description": "Last payment status",
                    "type": "string",
                    "example": ""
                  },
                  "next_billing_date": {
                    "name": "next_billing_date",
                    "description": "Next bill date",
                    "type": "string",
                    "example": ""
                  },
                  "currency_code": {
                    "name": "currency_code",
                    "description": "Store currency",
                    "type": "string",
                    "example": ""
                  },
                  "periods": {
                    "name": "periods",
                    "description": "Duration of current contract execution",
                    "type": "integer",
                    "example": 0
                  },
                  "status": {
                    "name": "status",
                    "description": "Subscription contract status",
                    "type": "string",
                    "example": ""
                  },
                  "line_items": {
                    "name": "line_items",
                    "description": "Associated Product",
                    "type": "array",
                    "items": {
                      "name": "line_items",
                      "description": "Associated Product",
                      "type": "object",
                      "properties": {
                        "amount_set": {
                          "name": "amount_set",
                          "description": "Product amount , multi-currency format",
                          "type": "object",
                          "properties": {
                            "presentment_money": {
                              "name": "presentment_money",
                              "description": "presentment money",
                              "type": "object",
                              "properties": {
                                "amount": {
                                  "name": "amount",
                                  "description": "Amount",
                                  "type": "string",
                                  "example": ""
                                },
                                "currency_code": {
                                  "name": "currency_code",
                                  "description": "Currency",
                                  "type": "string",
                                  "example": ""
                                }
                              },
                              "example": {
                                "amount": "",
                                "currency_code": ""
                              }
                            },
                            "shop_money": {
                              "name": "shop_money",
                              "description": "shop money",
                              "type": "object",
                              "properties": {
                                "amount": {
                                  "name": "amount",
                                  "description": "Amount",
                                  "type": "string",
                                  "example": ""
                                },
                                "currency_code": {
                                  "name": "currency_code",
                                  "description": "Currency",
                                  "type": "string",
                                  "example": ""
                                }
                              },
                              "example": {
                                "amount": "",
                                "currency_code": ""
                              }
                            }
                          },
                          "example": {
                            "shop_money": {
                              "currency_code": "",
                              "amount": ""
                            },
                            "presentment_money": {
                              "amount": "",
                              "currency_code": ""
                            }
                          }
                        },
                        "variant_id": {
                          "name": "variant_id",
                          "description": "Product SKU serial number",
                          "type": "string",
                          "example": ""
                        },
                        "group_id": {
                          "name": "group_id",
                          "description": "Item group id",
                          "type": "string",
                          "example": ""
                        },
                        "quantity": {
                          "name": "quantity",
                          "description": "Product quantity",
                          "type": "integer",
                          "example": 0
                        },
                        "version": {
                          "name": "version",
                          "description": "Product version",
                          "type": "string",
                          "example": ""
                        },
                        "amount": {
                          "name": "amount",
                          "description": "Product amount ( two precision string , like \" 88.10 \" )",
                          "type": "string",
                          "example": ""
                        },
                        "product_source": {
                          "name": "product_source",
                          "description": "Product source main_site main station product、customize custom product",
                          "type": "string",
                          "example": ""
                        },
                        "sku": {
                          "name": "sku",
                          "description": "Item no .",
                          "type": "string",
                          "example": ""
                        },
                        "title": {
                          "name": "title",
                          "description": "Product title",
                          "type": "string",
                          "example": ""
                        },
                        "attributes": {
                          "name": "attributes",
                          "description": "Product attributes : name , attribute value",
                          "type": "array",
                          "items": {
                            "name": "attributes",
                            "description": "Product attributes : name , attribute value",
                            "type": "object",
                            "properties": {
                              "key": {
                                "name": "key",
                                "description": "Attributes key or name",
                                "type": "string",
                                "example": ""
                              },
                              "value": {
                                "name": "value",
                                "description": "Attribute value",
                                "type": "string",
                                "example": ""
                              }
                            },
                            "example": {
                              "key": "",
                              "value": ""
                            }
                          },
                          "example": [
                            {
                              "key": "",
                              "value": ""
                            }
                          ]
                        },
                        "image_url": {
                          "name": "image_url",
                          "description": "Product main image",
                          "type": "string",
                          "example": ""
                        },
                        "pricing_policy": {
                          "name": "pricing_policy",
                          "description": "Subscription cycle discount",
                          "type": "array",
                          "items": {
                            "name": "pricing_policy",
                            "description": "Subscription cycle discount",
                            "type": "object",
                            "properties": {
                              "cycle_discounts": {
                                "name": "cycle_discounts",
                                "description": "Adjust per cycle of the subscribe to the line",
                                "type": "array",
                                "items": {
                                  "name": "cycle_discounts",
                                  "description": "Adjust per cycle of the subscribe to the line",
                                  "type": "object",
                                  "properties": {
                                    "adjustment_type": {
                                      "name": "adjustment_type",
                                      "description": "Discount type , FIXED_AMOUNT : minus , PERCENTAGE : discount ( minus percentage )",
                                      "type": "string",
                                      "example": ""
                                    },
                                    "adjustment_value": {
                                      "name": "adjustment_value",
                                      "description": "Discount value subtraction amount ( points ) or ratio",
                                      "type": "long",
                                      "example": 0
                                    }
                                  },
                                  "example": {
                                    "adjustment_type": "",
                                    "adjustment_value": 0
                                  }
                                },
                                "example": [
                                  {
                                    "adjustment_type": "",
                                    "adjustment_value": 0
                                  }
                                ]
                              }
                            },
                            "example": {
                              "cycle_discounts": [
                                {
                                  "adjustment_type": "",
                                  "adjustment_value": 0
                                }
                              ]
                            }
                          },
                          "example": [
                            {
                              "cycle_discounts": [
                                {
                                  "adjustment_type": "",
                                  "adjustment_value": 0
                                }
                              ]
                            }
                          ]
                        },
                        "variant_attribute": {
                          "name": "variant_attribute",
                          "description": "Product attributes",
                          "type": "string",
                          "example": ""
                        }
                      },
                      "example": {
                        "version": "",
                        "variant_attribute": "",
                        "amount_set": {
                          "presentment_money": {
                            "currency_code": "",
                            "amount": ""
                          },
                          "shop_money": {
                            "currency_code": "",
                            "amount": ""
                          }
                        },
                        "image_url": "",
                        "pricing_policy": [
                          {
                            "cycle_discounts": [
                              {
                                "adjustment_type": "",
                                "adjustment_value": 0
                              }
                            ]
                          }
                        ],
                        "sku": "",
                        "group_id": "",
                        "variant_id": "",
                        "amount": "",
                        "product_source": "",
                        "quantity": 0,
                        "attributes": [
                          {
                            "key": "",
                            "value": ""
                          }
                        ],
                        "title": ""
                      }
                    },
                    "example": [
                      {
                        "quantity": 0,
                        "sku": "",
                        "attributes": [
                          {
                            "key": "",
                            "value": ""
                          }
                        ],
                        "title": "",
                        "image_url": "",
                        "amount": "",
                        "amount_set": {
                          "presentment_money": {
                            "amount": "",
                            "currency_code": ""
                          },
                          "shop_money": {
                            "currency_code": "",
                            "amount": ""
                          }
                        },
                        "group_id": "",
                        "product_source": "",
                        "variant_attribute": "",
                        "version": "",
                        "pricing_policy": [
                          {
                            "cycle_discounts": [
                              {
                                "adjustment_type": "",
                                "adjustment_value": 0
                              }
                            ]
                          }
                        ],
                        "variant_id": ""
                      }
                    ]
                  },
                  "app": {
                    "name": "app",
                    "description": "Subscription plug-in information",
                    "type": "object",
                    "properties": {
                      "app_key": {
                        "name": "app_key",
                        "description": "Key for app insert",
                        "type": "string",
                        "example": ""
                      }
                    },
                    "example": {
                      "app_key": ""
                    }
                  }
                },
                "example": {
                  "id": "",
                  "status": "",
                  "next_billing_date": "",
                  "periods": 0,
                  "origin_order": {
                    "id": ""
                  },
                  "updated_at": "",
                  "line_items": [
                    {
                      "variant_attribute": "",
                      "product_source": "",
                      "variant_id": "",
                      "amount": "",
                      "image_url": "",
                      "version": "",
                      "group_id": "",
                      "pricing_policy": [
                        {
                          "cycle_discounts": [
                            {
                              "adjustment_type": "",
                              "adjustment_value": 0
                            }
                          ]
                        }
                      ],
                      "sku": "",
                      "title": "",
                      "quantity": 0,
                      "amount_set": {
                        "presentment_money": {
                          "currency_code": "",
                          "amount": ""
                        },
                        "shop_money": {
                          "currency_code": "",
                          "amount": ""
                        }
                      },
                      "attributes": [
                        {
                          "key": "",
                          "value": ""
                        }
                      ]
                    }
                  ],
                  "currency_code": "",
                  "customer_payment_method": {
                    "instrument_seq": "",
                    "method_code": "",
                    "store_payment_id": "",
                    "channel_code": "",
                    "instrument_detail": {
                      "account": {
                        "name": ""
                      },
                      "card": {
                        "expire_year": "",
                        "first": "",
                        "holder": "",
                        "last": "",
                        "brand": "",
                        "brand_icon": "",
                        "expire_month": ""
                      },
                      "type": ""
                    }
                  },
                  "app": {
                    "app_key": ""
                  },
                  "customer": {
                    "email": "",
                    "id": "",
                    "nick_name": "",
                    "phone": "",
                    "shipping_address": {
                      "last_name": "",
                      "city_code": "",
                      "zip": "",
                      "district": "",
                      "province": "",
                      "first_name": "",
                      "address1": "",
                      "company": "",
                      "province_code": "",
                      "country_code": "",
                      "city": "",
                      "country": "",
                      "phone": "",
                      "address2": "",
                      "district_code": ""
                    }
                  },
                  "last_payment_status": "",
                  "created_at": "",
                  "billing_policy": {
                    "max_cycles": 0,
                    "min_cycles": 0,
                    "interval": "",
                    "interval_count": 0
                  },
                  "delivery_info": {
                    "delivery_name": "",
                    "delivery_seq": ""
                  }
                }
              }
            },
            "example": {
              "subscription_contract": {
                "id": "",
                "app": {
                  "app_key": ""
                },
                "delivery_info": {
                  "delivery_name": "",
                  "delivery_seq": ""
                },
                "customer_payment_method": {
                  "instrument_seq": "",
                  "method_code": "",
                  "store_payment_id": "",
                  "channel_code": "",
                  "instrument_detail": {
                    "account": {
                      "name": ""
                    },
                    "card": {
                      "last": "",
                      "brand": "",
                      "brand_icon": "",
                      "expire_month": "",
                      "expire_year": "",
                      "first": "",
                      "holder": ""
                    },
                    "type": ""
                  }
                },
                "line_items": [
                  {
                    "sku": "",
                    "quantity": 0,
                    "title": "",
                    "version": "",
                    "attributes": [
                      {
                        "key": "",
                        "value": ""
                      }
                    ],
                    "pricing_policy": [
                      {
                        "cycle_discounts": [
                          {
                            "adjustment_type": "",
                            "adjustment_value": 0
                          }
                        ]
                      }
                    ],
                    "product_source": "",
                    "amount": "",
                    "image_url": "",
                    "variant_attribute": "",
                    "group_id": "",
                    "variant_id": "",
                    "amount_set": {
                      "presentment_money": {
                        "amount": "",
                        "currency_code": ""
                      },
                      "shop_money": {
                        "amount": "",
                        "currency_code": ""
                      }
                    }
                  }
                ],
                "customer": {
                  "nick_name": "",
                  "phone": "",
                  "shipping_address": {
                    "phone": "",
                    "district": "",
                    "company": "",
                    "province_code": "",
                    "first_name": "",
                    "address1": "",
                    "city_code": "",
                    "zip": "",
                    "province": "",
                    "address2": "",
                    "country": "",
                    "country_code": "",
                    "district_code": "",
                    "last_name": "",
                    "city": ""
                  },
                  "email": "",
                  "id": ""
                },
                "periods": 0,
                "created_at": "",
                "status": "",
                "currency_code": "",
                "billing_policy": {
                  "interval": "",
                  "interval_count": 0,
                  "max_cycles": 0,
                  "min_cycles": 0
                },
                "next_billing_date": "",
                "updated_at": "",
                "origin_order": {
                  "id": ""
                },
                "last_payment_status": ""
              }
            }
          }
        }
      }
    },
    "401": {
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "Error message. ",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    },
    "429": {
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "Error message. ",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    }
  },
  "security": [
    {
      "oauth2": []
    }
  ],
  "method": "get",
  "path": "/subscription/:id/contract.json",
  "servers": [
    {
      "url": "https://{handle}.myshopline.com/admin/openapi",
      "variables": {
        "handle": {
          "default": "openapiceshidianpu",
          "description": "`handle` : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is `open001.myshopline.com` , the store handle is `open001` ."
        }
      }
    }
  ],
  "info": {
    "title": "Query subscription contract details",
    "version": "v20270301"
  },
  "authIndexes": [
    "read_subscription_contracts"
  ]
}
```